fix an error message
fix an error message

git-svn-id: svn://svn.openwrt.org/openwrt/trunk@8109 3c298f89-4303-0410-b956-a3cf2f4a3e73

--- a/package/base-files/files/sbin/wifi
+++ b/package/base-files/files/sbin/wifi
@@ -82,6 +82,8 @@
 set_wifi_down() {
 	local cfg="$1"
 	local vifs vif vifstr
+	[ -f /var/state/wireless ] || return
+
 	config_get vifs "$cfg" vifs
 	for vif in $vifs; do
 		append vifstr "$vif" "|"

comments